Index: trunk/greenorg/macros/english.dm
===================================================================
--- trunk/greenorg/macros/english.dm	(revision 10973)
+++ trunk/greenorg/macros/english.dm	(revision 10974)
@@ -81,9 +81,4 @@
 _gsdl262_ {<i>(Oct 6)</i> <a href="_httppagex_(download)">Download</a> Greenstone v2.62. This is a "stable" release of the software with no major new features but many bug fixes and minor improvements. See <a href="http://sourceforge.net/project/shownotes.php?group_id=12123&release_id=361470">this page</a> for a list of some of the most important changes in this version.
 }
-
-_gsdl261_ {<a href="_httppagex_(download)">Download</a> Greenstone v2.61. This is an "unstable" (ie experimental) release of the software with many new features, and will shortly be  followed by a "stable" version, v2.62, that has newly-introduced bugs ironed out but no new features. In future, odd version numbers indicate  unstable releases and even numbers stable ones. This release includes many bug fixes and improvements as well as several major additions, including: enhanced PDF, PPT and Word plugins; new RealMedia plugin; new GenericList classifier for unicode metadata; extended formatting options for collection format statements; z3950 support extended to Windows and Mac OS X, including a new z3950 server.
-}
-
-_gsdl260_ {<a href="_httppagex_(download)">Download</a> Greenstone v2.60, a major stable release that features up-to-date French, Spanish and Russian translations (thanks to UNESCO and volunteers Olena Medelyan, Doug Carter, JesÃºs Tramullas, Vincent Dubuc, Bernardo LiÃ©vano, Jorge Eduardo Estrada and Georges Braoudakis), updated GLI documentation, and many other improvements and bug fixes.}
 
 _upgradeyourgreenstoneinstallation_ {
@@ -570,6 +565,7 @@
 _ex9t_ {Ulukau, the Hawaiian Electronic Library}
 
+# This: "Á" is needed to prevent Emacs from getting confused by the following Unicode
 _ex9d_ {
-Ulukau makes available resources for the use, teaching, and enhancement of the Hawaiian language. It has five collections: "Ka HoÊ»oilina: Puke Pai Ê»Ålelo HawaiÊ»i" (The Legacy: Journal of Hawaiian Language Resources), Hawaiian Newspapers, Baibala Hemolele (The Hawaiian Bible), Hawaiian Dictionaries, and Hawaiian Books.
+Ulukau makes available resources for the use, teaching, and enhancement of the Hawaiian language. It has five collections: "Ka HoÊ»oilina: Puke Pai Ê»Ålelo HawaiÊ»i" (The Legacy: Journal of Hawaiian Language Resources), Hawaiian Newspapers, Baibala Hemolele (The Hawaiian Bible), Hawaiian Dictionaries, and Hawaiian Books.
 }
 
Index: trunk/greenorg/macros/french.dm
===================================================================
--- trunk/greenorg/macros/french.dm	(revision 10973)
+++ trunk/greenorg/macros/french.dm	(revision 10974)
@@ -54,9 +54,5 @@
 }
 
-_gsdl261_ [l=fr] {<a href="_httppagex_(download)">TÃ©lÃ©charger</a> Greenstone v2.61. C'est une version &quot;instable&quot; (c'est Ã  dire expÃ©rimentale) du logiciel avec beaucoup de nouvelles fonctonnalitÃ©s, et qui sera sous peu suivie d'une version &quot;stable&quot;, v2.62, laquelle verra toute nouvelle erreur corrigÃ©e mais pas de nouvelles fonctionnalitÃ©s. Ã l'avenir, les version impaires indiqueront des versions instables et les chiffres pairs des stables. Cette version inclut beaucoup de corrections d'erreurs, des amÃ©liorations ainsi que plusieurs ajouts majeurs, incluant: plugins renforcÃ©s pour PDF, PPT et Word; nouveau plugin RealMedia; nouveau classificateur GenericList pour les metadonnÃ©es en unicode; options de formatage Ã©tendues pour les instructions de formattage des collections; support z3950 Ã©tendu Ã  Windows et OS X, y compris un nouveau serveur z3950.}
-
 _cdrom_ [l=fr] {Le CD-ROM UNESCO CD-ROM contient la version 2.50 de Greenstone ainsi que toute la documentation (en anglais, franÃ§ais, espagnol et russe), 11 exemples documentÃ©s de collections et des programmes associÃ©es tels Java et ImageMagick, ce CD-ROM peut-Ãªtre obtenu gratuitement de Jean-Claude Dauphin (jc.dauphin@unesco.org) ou Susannah Farey (s.farey@unesco.org). <a href="_httppagex_(bugs)">Ici</a>ce trouve une liste debugs ainsi que les moyens de les circonvenir.}
-
-_gsdl260_ [l=fr] {TÃ©lÃ©charger Greenstone v2.60, une distribution stable et majeure mise Ã  jour en franÃ§ais, espagnol et russe (Grace aux efforts de l'UNESCO et de bÃ©nÃ©voles dont Olena Medelyan, Doug Carter, JesÃºs Tramullas, Vincent Dubuc, Bernardo LiÃ©vano, Jorge Eduardo Estrada et Georges Braoudakis), updated GLI documentation, and many other improvements and bug fixes.}
 
 _gsdl253_ [l=fr] {<a href="_httppagex_(download)">TÃ©lÃ©charger</a> Greenstone v2.53, qui contient de nombreuses corrections et amÃ©liorations, notamment: un nouveau module d'installation; GLI compatibilitÃ© avec Java 1.5.0; la possibilitÃ© d'importer des documents exportÃ©s de DSpace, et vice versa; un module HTMLPlug plus souple qui bloque les images uniquement dans les fichiers HTML traitÃ©s, and non dans les autres; nouveaux ensembles de mÃ©ta-donnÃ©es dans GLI: dont Dublin Core, NZGLS, AGLS, and RFC 1807; Construction avec indexation Lucene (vraiment cette fois!!); Un applet GLI amÃ©liorÃ© et beaucoup plus performant en ce qui concerne la bande passante; traitement ses sous-champs dans l'Ã©diteur Greenstone pour les mÃ©ta-donnÃ©es (GEMS).
Index: trunk/greenorg/macros/home.dm
===================================================================
--- trunk/greenorg/macros/home.dm	(revision 10973)
+++ trunk/greenorg/macros/home.dm	(revision 10974)
@@ -14,6 +14,4 @@
 
 _new_(_home:glp262_)
-
-<!-- _new_(_home:gsdl261_) -->
 
 _newnoimg_(_home:cdrom260_)
Index: trunk/greenorg/macros/russian.dm
===================================================================
--- trunk/greenorg/macros/russian.dm	(revision 10973)
+++ trunk/greenorg/macros/russian.dm	(revision 10974)
@@ -66,20 +66,4 @@
  Ð¿ÑÐŸÐ±Ð»ÐµÐŒ, Ñ ÐœÐ°ÐŒÐµÐºÐ°ÐŒÐž ÐŸ ÑÐŸÐŒ, ÐºÐ°Ðº ÐŸÐ±ÐŸÐ¹ÑÐž ÐžÑ
 .}
-
-_gsdl260_ [l=ru] {ÐÐ°Ð³ÑÑÐ·ÐžÑÑ ÐžÐ· ÐÐœÑÐµÑÐœÐµÑÐ° ÐÑÐžÐœÑÑÐŸÑÐœ Ð²ÐµÑÑÐžÐž 2.60, ÐŸÑÐœÐŸÐ²ÐœÐŸÐ¹ ÑÑÐ°Ð±ÐžÐ»ÑÐœÑÐ¹ Ð²ÑÐ¿ÑÑÐº, ÐºÐŸÑÐŸÑÑÐ¹ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐœÐŸÐ²ÐµÐ¹ÑÐžÐµ Ð¿ÐµÑÐµÐ²ÐŸÐŽÑ ÐœÐ° ÑÑÐ°ÐœÑÑÐ·ÑÐºÐžÐ¹, ÐžÑÐ¿Ð°ÐœÑÐºÐžÐ¹ Ðž ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐºÐž (Ð±Ð»Ð°Ð³ÐŸÐŽÐ°ÑÐžÐŒ Ð®ÐÐÐ¡ÐÐ Ðž Ð²ÐŸÐ»ÐŸÐœÑÐµÑÐŸÐ² ÐÐ»ÐµÐœÑ ÐÐµÐŽÐµÐ»ÑÐœ, ÐÐµÑÐœÐ°ÑÐŽÐŸ ÐÐžÐ²Ð°ÐœÐŸ, ÐÐ¶ÐŸÑÐŽÐ¶ Ð­ÐŽÑÐ°ÑÐŽÐŸ Ð­ÑÑÑÐ°ÐŽÐ° Ðž ÐÐ¶ÐŸÑÐŽÐ¶Ð° ÐÑÐ°ÑÐŽÐ°ÐºÐžÑ), ÐŸÐ±ÐœÐŸÐ²Ð»ÐµÐœÐœÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°ÑÐžÑ ÐÐÐÐ°, Ð° ÑÐ°ÐºÐ¶Ðµ ÑÑÐŽ ÐŽÑÑÐ³ÐžÑ
- ÑÐ»ÑÑÑÐµÐœÐžÐ¹ Ðž ÐŸÑÐºÐŸÑÐµÐºÑÐžÑÐŸÐ²Ð°ÐœÐœÑÑ
- ÐŽÐµÑÐµÐºÑÐŸÐ².}
-
-_gsdl253_ [l=ru] {<a href="_httppagex_(download)">Ð¡ÐºÐ°ÑÐ°ÑÑ</a> ÐÑÐžÐœÑÑÐŸÑÐœ Ð²ÐµÑÑÐžÐž 2.53, ÐºÐŸÑÐŸÑÐ°Ñ ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÐŒÐœÐŸÐ³ÐŸ ÐžÑÐ¿ÑÐ°Ð²Ð»ÐµÐœÐžÐ¹ Ð¿ÑÐµÐŽÑÐŽÑÑÐžÑ
- ÐŸÑÐžÐ±ÐŸÐº, Ð° ÑÐ°ÐºÐ¶Ðµ ÑÑÐŽ Ð²Ð°Ð¶ÐœÑÑ
- ÐŽÐŸÐ¿ÐŸÐ»ÐœÐµÐœÐžÐ¹, Ð²ÐºÐ»ÑÑÐ°Ñ: ÐœÐŸÐ²ÐµÐ¹ÑÐžÐ¹ ÐžÐœÑÑÐ°Ð»ÑÑÐŸÑ; Ð·ÐœÐ°ÑÐžÑÐµÐ»ÑÐœÐŸ ÑÐ»ÑÑÑÐµÐœÐœÑÑ ÑÐŸÐ²ÐŒÐµÑÑÐžÐŒÐŸÑÑÑ Ñ Java 1.5.0; Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑ ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ð² ÐÐÐ ÑÐºÑÐ¿ÐŸÑÑÐžÑÐ°Ð²Ð°ÐœÐœÑÐµ Ñ DSpace, Ðž ÐœÐ°ÐŸÐ±ÐŸÑÐŸÑ; ÑÐ»ÑÑÑÐµÐœÐœÑÐ¹ Ð¿Ð»Ð°Ð³ÐžÐœ HTMLPlug, Ð±Ð»ÐŸÐºÐžÑÑÑÑÐžÐ¹ Ð³ÑÐ°ÑÐžÐºÐž Ð² ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÐŒÑÑ
- ÑÐ°Ð¹Ð»Ð°Ñ
- HTML, ÐœÐŸ ÐœÐžÐºÐ°ÐºÐžÐµ ÐŽÑÑÐ³ÐžÐµ; ÐœÐŸÐ²ÑÐ¹ ÐœÐ°Ð±ÐŸÑ ÐŒÐµÑÐ°-ÐŽÐ°ÐœÐœÑÑ
- Ð² ÐÐÐ: ÑÐ¿ÐµÑÐžÐ°Ð»ÐžÐ·ÐžÑÐŸÐ²Ð°ÐœÐœÑÐµ Dublin Core, NZGLS, AGLS, Ðž RFC 1807; Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐºÐ° Ð¿ÐŸÐŽÐºÐ»ÑÑÐµÐœÐžÑ Lucene (ÐŽÐµÐ¹ÑÑÐ²ÐžÑÐµÐ»ÑÐœÐŸ!); ÑÐ»ÑÑÑÐµÐœÐœÑÐ¹  ÐÐÐ Ð°Ð¿Ð»ÐµÑ, ÑÐ°Ð±ÐŸÑÐ°ÑÑÐžÑ ÑÑÑÐµÐºÑÐžÐ²ÐœÐŸ Ð¿ÑÐž ÑÐ°Ð·Ð»ÐžÑÐœÑÑ
- Ð¿ÑÐŸÐ¿ÑÑÐºÐœÑÑ
- ÑÐ¿ÐŸÑÐŸÐ±ÐœÐŸÑÑÑÑ
-; Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐºÐ° Ð¿ÐŸÐŽÐ¿ÐŸÐ»ÐµÐ¹ Ð² Ð ÐµÐŽÐ°ÐºÑÐŸÑÐµ ÐÐ°Ð±ÐŸÑÐ° ÐÐµÑÐ°-ÐŽÐ°ÐœÐœÑÑ
- ÐÑÐžÐœÑÑÐŸÑÐœ (Ð ÐÐÐ).
-}
 
 _upgradeyourgreenstoneinstallation_ [l=ru] {ÐÑÐ»Ðž ÐÑ ÑÐ¿ÑÐ°Ð²Ð»ÑÐµÑÐµ ÐÐµÑÑÐœÑÐŒ ÑÐµÑÐ²ÐµÑÐŸÐŒ ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÐœÐ° Windows, ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ Ð·Ð°Ð³ÑÑÐ·ÐžÑÑ ÐŒÐ°Ð»ÐµÐœÑÐºÐžÐ¹ Ð¿Ð°ÐºÐµÑ, ÑÑÐŸÐ±Ñ ÐŒÐŸÐŽÐµÑÐœÐžÐ·ÐžÑÐŸÐ²Ð°ÑÑGreenstone 2.52. <a href="http://prdownloads.sourceforge.net/greenstone/gsdl-2.51-locallibrary-to-2.52-upgrade.zip?download">ÐŒÐŸÐŽÐµÑÐœÐžÐ·Ð°ÑÐžÑ ÐžÐ· Greenstone 2.51</a>, ÐžÐ»Ðž <a href="http://prdownloads.sourceforge.net/greenstone/gsdl-2.50-locallibrary-to-2.52-upgrade.zip?download"> ÐŒÐŸÐŽÐµÑÐœÐžÐ·Ð°ÑÐžÑ ÐžÐ· Greenstone 2.50</a>.. ÐÑÐ»Ðž Ð²Ñ ÐŒÐŸÐŽÐµÑÐœÐžÐ·ÐžÑÑÐµÑÐµ  Ð®ÐÐÐ¡ÐÐ 2.50 CD-ROM, Ð²Ñ ÐŽÐŸÐ»Ð¶ÐœÑ ÑÐŽÐ°Ð»ÐžÑÑ  macros\\home.dm ÑÐ°Ð¹Ð» Ðž Ð¿ÐµÑÐµÐžÐŒÐµÐœÐŸÐ²Ð°ÑÑ  ÑÐ°Ð¹Ð» macros\\home.dm.bak Ð² macros\\home.dm Ð¿ÐŸÑÐ»Ðµ ÑÐŸÐ³ÐŸ, ÐºÐ°Ðº ÐŒÐŸÐŽÐµÑÐœÐžÐ·Ð°ÑÐžÑ Ð·Ð°ÐºÐŸÐœÑÐžÐ»Ð°ÑÑ. }
Index: trunk/greenorg/macros/spanish.dm
===================================================================
--- trunk/greenorg/macros/spanish.dm	(revision 10973)
+++ trunk/greenorg/macros/spanish.dm	(revision 10974)
@@ -54,11 +54,5 @@
 _cdrom_ [l=es] {El CD-ROM de UNESCO que contiene Greenstone 2.50, y toda la documentaciÃ³n (InglÃ©s / FrancÃ©s/EspaÃ±ol/Ruso), mÃ¡s 11 colecciones de ejemplos documentados, mÃ¡s sofware asociado como Java e ImageMagic, se puede solicitar sin costo alguno a Jean-Claude Dauphn (jc.dauphin@unesco.org) o a Susanah Farey (s.farey@unesco.org). <a href="_httppagex_(bugs)">Here</a> es una lista de publicaciones conocidas con indicaciones de cÃ³mo usarlas}
 
-_gsdl260_ [l=es] {Descargar Greenstone v2.60, una versiÃ³n importante y estable que comprende traducciones actualizadas al FrancÃ©s, el EspaÃ±ol y el Ruso (gracias a UNESCO y el trabajo vuluntario de Olena Medelyan, Doug Carter, JesÃºs Tramullas, Vincent Dubuc, Bernardo LiÃ©vano, Jorge Eduardo Estrada y Georges Braoudakis), documentaciÃ³n GLI actualizada y muchas otras mejoras y arreglo de fallas}
-
-_gsdl253_ [l=es] {<a href="_httppagex_(download)">Download</a> Greenstone v2.53, que trae muchos arreglos de fallas y varias adiciones importantes, que incluyen: un nuevo instalador, mayor y mejor compatibilidad con Java 1.5.0; capacidad de importar documentos exportados desde DSpace y viceversa; Un plug mÃ¡s astuto de HTML que bloquea las imÃ¡genes en los archivos de HTML que procesa y no en otros; nuevos conjuntos GLI metadata:Qualified Dublin Core, NZGLS, AGLS, and RFC 1807;soporte de construcciÃ³n Lucerna (esta vez es real!); un applet GLI mejorado y mucho mÃ¡s eficiente en banda ancha; soporte para subcampos en el Editor de Greenstone para conjuntos metadata (GEMS)}
-
 _upgradeyourgreenstoneinstallation_ [l=es] {Si usted estÃ¡ ejecutando el servidor Biblioteca local en Windows, puede descargar un pequeÃ±o paquete para actualizar a Greenstone versiÃ³n 2.52. <a href="http://prdownloads.sourceforge.net/greenstone/gsdl-2.51-locallibrary-to-2.52-upgrade.zip?download">ActualizaciÃ³n para Greenstone 2.51</a>, o <a href="http://prdownloads.sourceforge.net/greenstone/gsdl-2.50-locallibrary-to-2.52-upgrade.zip?download">ActualizaciÃ³n para Greenstone 2.50</a>. Si usted estÃ¡ actualizando un CD-ROM de UNESCO con la versiÃ³n 2.50, debe borrar el archivo macros\\home.dm y renombrar el archivo macros\\home.dm.bak  como macros\\home.dm despuÃ©s de que la actualizaciÃ³n haya terminado.}
-
-_glp252_ [l=es] {<a href="http://sourceforge.net/project/showfiles.php?group_id=12123&package_id=89483">Descargue</a> todas las interfaces de lenguajes disponibles para el software de biblioteca digital Greenstone digital library software (sÃ³lo versiÃ³n 2.52): los cuatro lenguajes "nucleares" inglÃ©s, francÃ©s, espaÃ±ol, ruso; e interfaces para Ã¡rabe, armenio, catalÃ¡n, chino, croata, checo, holandÃ©s, farsÃ­, finlandÃ©s, gallego, georgiano, alemÃ¡n, griego, hebreo, hindi, indonesio, italiano, japonÃ©s, kannada, kazako, Latvian, maorÃ­, portuguÃ©s (Brasil), portuguÃ©s (Portugal), serbio, thai, turco, ucraniano, vietnamita.}
 
 _support_ [l=es] {Hemos reorganizado nuestro <a href="_gwcgi_?a=p&p=support">Support page</a> y hemos incluÃ­do informaciÃ³n adicional sobre donaciones al proyecto Greenstone, contrato de investigaciÃ³n y apoyo comercial.}