Index: trunk/gsdl3/README.txt
===================================================================
--- trunk/gsdl3/README.txt	(revision 11019)
+++ trunk/gsdl3/README.txt	(revision 11020)
@@ -31,4 +31,5 @@
 
 The file build.properties contains various parameters that can be set by the user. Please check these settings before running the install.
+Note, either forward slash '/' or double backslash '\\' can be used as path separators in the build.properties file, but not single backslash '\'. 
 
 Greenstone 3 comes with MySQL and Tomcat bundled in.  
@@ -121,5 +122,5 @@
 
 If you want to use an existing Tomcat, set the path to its base directory
-in build.properties (tomcat.installed.path) (on windows need to use double backslashes in paths '\\'). 
+in build.properties (tomcat.installed.path) 
 
  You will need to modify the Tomcat setup slightly.
@@ -127,8 +128,10 @@
 1. Tell Tomcat about the Greenstone web app. There are two ways to do this.
 
-A. Add in the Greenstone context to Tomcat's server.xml (In the <Host name="localhost"..> element)
+A. Add in the Greenstone context to Tomcat's conf/server.xml (In the <Host name="localhost"..> element)
 
 <Context path="/greenstone3" docBase="path-to-greenstone3/web" debug="1" 
 reloadable="true"><Resources allowLinking='true'/></Context>
+
+The docBase attribute should be the full path to the greenstone3 web directory. Any path separator is fine here ('/', '\\', '\'). The path attribute should remain as "/greenstone3".
 
 B. Alternatively, you can move (and rename) the greenstone3/web directory to tomcat/webapps/greenstone3 (i.e. the resulting directories will be like
@@ -147,5 +150,5 @@
 A: Keep all the Greenstone stuff inside the greenstone3 directory, and just modify the environment that Tomcat runs in
 
-Set LD_LIBRARY_PATH (GNU/Linux), DYLD_LIBRARY_PATH (Mac OS X) or PATH (windows) to include the  greenstone3/lib/jni directory.
+Set LD_LIBRARY_PATH (GNU/Linux), DYLD_LIBRARY_PATH (Mac OS X) or PATH/Path (windows) to include the  greenstone3/lib/jni directory.
 Add all the jar files in greenstone3/lib/jni directory to the CLASSPATH, then edit tomcats setclasspath.sh/bat to use the system CLASSPATH.
 (in setclasspath.bat, change 
@@ -169,5 +172,5 @@
 B: Copy the files into Tomcat installation:
 Move the greenstone3/lib/jni jar files into tomcat's shared/lib directory.
-Move the greenstone3/lib/jni library files (.so for GNU/Linux, .jnilib for Mac OS X .dll for Windows) into shared/classes, and set LD_LIBARARY_PATH (GNU/Linux), DYLD_LIBRARY_PATH (Mac OS X) or PATH (Windows) to include this directory.
+Move the greenstone3/lib/jni library files (.so for GNU/Linux, .jnilib for Mac OS X .dll for Windows) into shared/classes, and set LD_LIBARARY_PATH (GNU/Linux), DYLD_LIBRARY_PATH (Mac OS X) or PATH/Path (Windows) to include this directory.
  This has the advantage that you can use this for other webapps without modifying the Tomcat environment.
 
@@ -177,7 +180,7 @@
 -------------------------------------------------------------
 
-Set the mysql.installed.path property in build.xml to be non-empty (its not actually used) before installation.
-
-You will need to add the two greenstone users: gsdl3reader and gsdl3admin. The reader user is only used for accessing the database, the admin user can be used for modification.
+Set the mysql.installed.path property in build.xml to be the path to your installation of mysql, before running the Greenstone install process. (This path is not actually used other than to check that its non-empty).
+
+You will need to add the two greenstone users: gsdl3reader and gsdl3admin to your mysql server. The reader user is only used for accessing the database, the admin user can be used for modification. You may also specify passwords for these two users.
 
 Run MySQL as the root user (or a user with account creation privileges).
@@ -187,7 +190,12 @@
 GRANT SELECT ON *.* TO gsdl3reader@localhost identified by 'reader-password';
 
-You will need to edit the greenstone3/web/WEB-INF/classes/global.properties file and set the two passwords that you used in here:
+The "identified by 'xxx-password'" bits can be left out if you don't want to set any passwords. This will mean that anyone can log in to mysql using these usernames.
+
+You will need to edit the global.properties file and set the two passwords that you used:
 mysql.admin.password and mysql.reader.password
-The mysql.tcp.port property specified here should be set to the port that your MySQL is running on. (default 3306).
+Set these to be empty if you haven't used any passwords.
+The mysql.tcp.port property specified here should be set to the port that your MySQL is running on. (default 3306), and the mysql.server property should be set to the server address.
+
+This file is in greenstone3/resources/java/global.properties.in before greenstone3 installation, and greenstone3/web/WEB-INF/classes/global.properties after installation.
 
 You should also load up the database for the gs3mgdemo collection:
@@ -206,4 +214,9 @@
 
 Set JAVA_HOME to be /Library/Java/Home
+
+Notes for Windows
+-----------------------------------------------
+
+You can set environment variables by going to Control Panel->System->Advanced->Environment Variables. 
 
 Installing from a Source Distribution