Index: trunk/gsdl3/src/java/org/greenstone/gsdl3/comms/SOAPCommunicator.java
===================================================================
--- trunk/gsdl3/src/java/org/greenstone/gsdl3/comms/SOAPCommunicator.java	(revision 11021)
+++ trunk/gsdl3/src/java/org/greenstone/gsdl3/comms/SOAPCommunicator.java	(revision 11022)
@@ -26,10 +26,4 @@
 import java.net.MalformedURLException;
 import java.util.Vector;
-// import org.apache.soap.SOAPException;
-// import org.apache.soap.Fault;
-// import org.apache.soap.Constants;
-// import org.apache.soap.rpc.Call;
-// import org.apache.soap.rpc.Parameter;
-// import org.apache.soap.rpc.Response;
 import org.apache.axis.client.Call;
 import org.apache.axis.client.Service;
@@ -61,13 +55,7 @@
     public SOAPCommunicator() {
 	
-
-	// Set Encoding Style to standard SOAP encoding
-	//call_.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
-	// set Encoding Style to use literal XML
-	//call_.setEncodingStyleURI(Constants.NS_URI_LITERAL_XML);
     }
         
     public boolean configure(Element site_elem) {
-
 	
 	String type = site_elem.getAttribute(GSXML.TYPE_ATT);
@@ -94,11 +82,5 @@
 	    Service service = new Service();
 	    call_ = (Call) service.createCall();
-	    
-	    //call_.setTargetObjectURI(remote_site_name_);
-	    //call_.setMethodName("process");
 	    call_.setTargetEndpointAddress( new java.net.URL(remote_site_address_) );
-	    //	    call_.setOperationStyle(org.apache.axis.enum.Style.MESSAGE_STR);
-	    //call_.setOperationUse(org.apache.axis.enum.Use.LITERAL_STR); 
-	    //call_.setOperationName(new QName("http://soapinterop.org/", "process"));
 	} catch (Exception e) {
 	    System.err.println("SOAPCommunicator.configure() Error: Exception occurred "+e);
@@ -173,5 +155,4 @@
 	comm.configure(site_elem);
 	message = "<message><request type=\"describe\" to=\"\" lang=\"en\"/></message>";
-	//message = "<message><request type=\"describe\" to=\"\" lang=\"en\"/></message>";
 	Element request_elem = converter.getDOM(message).getDocumentElement();
 	Element response = comm.process(request_elem);
@@ -179,85 +160,4 @@
 	System.err.println("response was "+converter.getPrettyString(response));
     }
-    /*
-    public Element process(Element message) {
-
-	NodeList requests = message.getElementsByTagName(GSXML.REQUEST_ELEM);
-	if (requests.getLength()==0) {
-	    // no requests
-	    return null;
-	}
-	
-	// if the communicator is part of a site, it needs to edit the to and from fields, otherwise it just passes the message on, as is
-	// for now, use local_site_name_ as the flag.
-	if (local_site_name_!=null) { // no local site
-	    
-	    for (int i=0;i<requests.getLength(); i++) {
-		Element e = (Element)requests.item(i);
-		String to = e.getAttribute(GSXML.TO_ATT);
-		to = GSPath.removeFirstLink(to); // remove the server name, should check that it is present
-		e.setAttribute(GSXML.TO_ATT, to);
-		String from = e.getAttribute(GSXML.FROM_ATT);
-		from = GSPath.appendLink(from, local_site_name_);
-		e.setAttribute(GSXML.FROM_ATT, from);
-	    }
-	}
-	// else do nothing to the message, just pass it on
-	
-	// needs to catch SOAPException, MalformedURLException	
-	try {
-
-	    // Set Method Parameters - use literal xml
-// 	    Parameter param = new Parameter("xml_in", 
-// 					    org.w3c.dom.Element.class,
-// 					    message, 
-// 					    Constants.NS_URI_LITERAL_XML);
-					    
-// 	    Vector param_list = new Vector ();
-// 	    param_list.addElement (param);
-// 	    call_.setParams (param_list);
-	    
-// 	    //  Set the URL for the Web Service
-// 	    URL url = new URL(remote_site_address_);
-	    
-	    // Invoke the Service
-	    Response resp = call_.invoke (url, "");
-	    
-	    // Check for Faults
-	    if (!resp.generatedFault()) { // no error
-		// Extract Return value
-		Parameter result = resp.getReturnValue ();
-		Element result_node = (Element) result.getValue();
-
-		if (local_site_name_ != null) {// have to modify the from field
-
-		    NodeList responses = result_node.getElementsByTagName(GSXML.RESPONSE_ELEM);
-		    for (int i=0;i<responses.getLength(); i++) {
-			Element e = (Element)responses.item(i);
-			String from = e.getAttribute(GSXML.FROM_ATT);
-			from = GSPath.prependLink(from, remote_site_name_);
-			e.setAttribute(GSXML.FROM_ATT, from);
-		    }
-		} // else return as is
-		return result_node;
-	    }
-	    else { // error
-		//  Extract Fault Code and String
-		Fault f = resp.getFault();
-		String faultCode = f.getFaultCode();
-		String faultString = f.getFaultString();
-		System.err.println("Fault Occurred (details follow):");
-		System.err.println("Fault Code:  "+faultCode);
-		System.err.println("Fault String:  "+faultString);
-		return converter_.getDOM("<"+GSXML.MESSAGE_ELEM+">Fault Occurred.  No greeting for you!</"+GSXML.MESSAGE_ELEM+">").getDocumentElement();
-	    }
-	} catch (SOAPException e) {
-	    System.out.println("SOAP error:"+e.getMessage());
-	    return null;
-	} catch (MalformedURLException e) {
-	    System.out.println("URL error:"+e.getMessage());
-	    return null;
-	}
-    }
-    */
 }
 