Index: /trunk/gli/classes/dictionary_lv.properties
===================================================================
--- /trunk/gli/classes/dictionary_lv.properties	(revision 11024)
+++ /trunk/gli/classes/dictionary_lv.properties	(revision 11025)
@@ -116,5 +116,4 @@
 CDM.FormatManager.Variable_Tooltip:MainÄ«gie pieejami izmantoÅ¡anai formÄta komandÄ
 CDM.General.Access:Å ai kolekcijai jÄbÅ«t publiski pieejamai
-CDM.General.Beta:Å Ä« kolekcija tiek vÄl konstruÄta
 CDM.General.Browser_Title:IzvÄlieties AttÄlu
 CDM.General.Collection_Extra:Kolekcijas apraksts:
@@ -346,4 +345,7 @@
 CollectionManager.Preview_Ready_Title:Kolekcijas PriekÅ¡skatÄ«juma StÄvoklis.
 CollectionManager.Session_Ready:Kolekcija {0} gatava izmantoÅ¡anai.
+CollectionManager.Build_Not_Moved:VeidoÅ¡anas direktorijs (ar nosaukumu 'building') nevar tikt pÄrvietots.  # Updated 4-Nov-2005
+CollectionManager.Index_Not_Deleted:Index direktorijs nevar tikt izdzÄsts.  # Updated 4-Nov-2005
+CollectionManager.Install_Exception:Kolekcijas uzstÄdÄ«Å¡anas laikÄ konstatÄta problÄma:\n{0}\nIespÄjamais cÄlonis ir Windows
 #*****************************
 #
@@ -421,6 +423,4 @@
 #
 #***** EnrichPane *****
-EnrichPane.Accumulate:Pievienot
-EnrichPane.Accumulate_Tooltip:Pievienot Å¡o vÄrtÄ«bu izvÄlÄtam metadatu elementam
 EnrichPane.AutoMessage:Å is elements, {0}, pieder Greenstone metadatu kopai. Å Ä« kopa reprezentÄ metadatus, kuri parasti var bÅ«t izvilkti automÄtiski. Lai pÄrbaudÄ«tu, kÄdi  {0} metadati var tikt izvilkti, radiet kolekciju izmantojot 'RadÄ«t' tab.
 EnrichPane.ExistingValues:EsoÅ¡Äs vÄrtÄ«bas priekÅ¡ {0}  # Updated 19-Aug-2005
@@ -431,9 +431,4 @@
 EnrichPane.No_Metadata:Nav Pieejami Metadati
 EnrichPane.No_Metadata_Element:<HTML><STRONG><FONT FACE={FONT} COLOR=Black>Nav Metadatu Elements IzvÄlÄts</FONT></STRONG></HTML>
-EnrichPane.Overwrite:Aizvietot
-EnrichPane.Overwrite_Tooltip:PieÅ¡Ä·irt Å¡o vÄrtÄ«bu izvÄlÄtam metadatu elementam, aizvietojot esoÅ¡o vÄrtÄ«bu
-EnrichPane.Remove:NoÅemt
-EnrichPane.Remove_Tooltip:IzdzÄst Å¡o vÄrtÄ«bu izvÄlÄtam metadatu elementam
-EnrichPane.Value:VÄrtÄ«ba
 EnrichPane.Value_Field_Tooltip:VÄrtÄ«ba, ko pieÅ¡Ä·irt izvÄlÄtam metadatu elementam
 EnrichPane.Value_Field_Tooltip_Uneditable:VÄrtÄ«ba, kura pieÅ¡Ä·irta izvÄlÄtam metadatu elementam
@@ -460,4 +455,5 @@
 WriteCDImagePrompt.Instructions:Vienas vai vairÄku kolekciju eksports uz paÅ¡instalÄjoÅ¡os Windows CD/DVD (kaut arÄ« tas darbojas uz jebkuras platformas, CD/DVD, kas tiek radÄ«ts, palaiÅŸas tikai zem Windows).
 WriteCDImagePrompt.Progress_Label:DatÅu kopÄÅ¡ana. Tas var aizÅemt zinÄmu laiku...
+WriteCDImagePrompt.Size_Label:NovÄrtÄtais izmÄrs:  # Updated 4-Nov-2005
 WriteCDImagePrompt.Successful_Export:Kolekcijas ({0}) esot tikuÅ¡as eksportÄtas.
 WriteCDImagePrompt.Successful_Title:Eksports Pabeigts
@@ -511,4 +507,6 @@
 FileActions.Folder_Create_Error:Mape {0} nevar tikt radÄ«ta.
 FileActions.File_Exists:<html>{0} jau eksistÄ saÅÄmÄjmapÄ. PÄrrakstÄ« to?</html>
+FileActions.File_Not_Deleted_Message:{0}\nAugstÄk minÄtÄ datne nevar tikt izdzÄsta. \nLÅ«dzu pÄrbaudiet, ka jums Å¡Ä« datne nav
+FileActions.File_Not_Deleted_Title:KÄŒÅ«da - Datne nav IzdzÄsta.  # Updated 4-Nov-2005
 FileActions.File_Not_Found_Message:{0}\nAugstÄk minÄtÄ datne nevar tikt atrasta. LÄ«dz ar datÅu skata\natjaunoÅ¡anu, lÅ«dzu pÄrbaudiet, ka datne vÄl eksistÄ.
 FileActions.File_Not_Found_Title:KÄŒÅ«da - Datne nav atrasta.
@@ -605,4 +603,8 @@
 #
 #***** GShell *****
+GShell.BadArgument:Arguments {0} ir nepareizs.  # Updated 4-Nov-2005
+GShell.BadArgumentValue:Argumeta {0} vÄrtÄ«ba ir nepareiza.  # Updated 4-Nov-2005
+GShell.BadPluginOptions:Nepareiz arguments nodots spraudnim {0}.  # Updated 4-Nov-2005
+GShell.BadClassifierOptions:Sastapts slikts arguments klasifikatorÄ {0}.  # Updated 4-Nov-2005
 GShell.Build.Auxilary:PalÄ«gdatÅu radÄ«Å¡ana un apstrÄde...
 GShell.Build.BuildBegun1:************** VeidoÅ¡ana  UzsÄkta **************
@@ -765,9 +767,12 @@
 #
 #***** Missing EXEC *****
-MissingEXEC.Message:BrÄ«dinÄjums! JÅ«s nevarÄsiet redzÄt jÅ«su jauno kolekciju no BibliotekÄra Interfeisa, ja jÅ«s nenorÄdÄ«siet ceÄŒu uz lokÄli darbojoÅ¡os Greenstone BibliotekÄra Webserveri. JÅ«s to varat tagad ievadÄ«t teksta lauciÅÄ zemÄk, vai vÄlÄk aizejot uz IestatÄ«jumi un izvÄloties Savienojums tabulatoru. Atcerieties, ka pareizam url jÄsÄkas ar protokolu  "http://", un jÄbeidzas ar izpildÄmÄs programmas nosaukumu ("gsdl" Greenstone lokÄlas bibliotÄkas servera gadÄ«jumÄ, "library" visu pÄrejo web serveru gadÄ«jumos (piem., Apache)).
+MissingEXEC.Message:BrÄ«dinÄjums! JÅ«s nevarÄsiet redzÄt jÅ«su jauno kolekciju no BibliotekÄra Interfeisa, ja jÅ«s nenorÄdÄ«siet ceÄŒu uz Greenstone BibliotekÄra Webserveri. JÅ«s to varat tagad ievadÄ«t teksta lauciÅÄ zemÄk, vai vÄlÄk aizejot uz IestatÄ«jumi un izvÄloties Savienojums tabulatoru. Atcerieties, ka pareizam url jÄsÄkas ar protokolu  "http://", un jÄbeidzas ar izpildÄmÄs programmas nosaukumu ("gsdl" Greenstone lokÄlas bibliotÄkas servera gadÄ«jumÄ, "library" visu pÄrejo web serveru gadÄ«jumos (piem., Apache)).  # Updated 4-Nov-2005
 MissingEXEC.Title:IztrÅ«kst Greenstone BibliotÄkas Adrese
 #***** Missing EXEC_GS3 *****
-MissingEXEC_GS3.Message:BrÄ«dinÄjums! JÅ«s nevarÄsiet redzÄt jÅ«su jauno kolekciju no BibliotekÄra Interfeisa, ja jÅ«s nenorÄdÄ«siet ceÄŒu uz Greenstone kontekstu lokÄli darbojoÅ¡os Tomcat WebserverÄ«. JÅ«s to varat tagad ievadÄ«t teksta lauciÅÄ zemÄk, vai vÄlÄk aizejot uz IestatÄ«jumi un izvÄloties Savienojums tabulatoru. Atcerieties, ka pareizam url jÄsÄkas ar protokolu  http://. Adrese pÄc noklusÄjuma ir http://localhost:8080/gsdl3.
-MissingEXEC_GS3.Title:IztrÅ«kst Greenstone BibliotÄkas Adrese
+MissingEXEC_GS3.Message:BrÄ«dinÄjums! JÅ«s nevarÄsiet redzÄt jÅ«su jauno kolekciju no BibliotekÄra Interfeisa, ja jÅ«s nenorÄdÄ«siet ceÄŒu uz Greenstone kontekstu lokÄli darbojoÅ¡os Tomcat WebserverÄ«. JÅ«s to varat tagad ievadÄ«t teksta lauciÅÄ zemÄk, vai vÄlÄk, aizejot uz IestatÄ«jumi un izvÄloties Savienojums tabulatoru. Atcerieties, ka pareizam url jÄsÄkas ar protokolu  http://. Adrese pÄc noklusÄjuma ir http://localhost:8080/greenstone3.  # Updated 4-Nov-2005
+MissingEXEC_GS3.Title:IztrÅ«kst Greenstone 3 BibliotÄkas Adrese  # Updated 4-Nov-2005
+#***** Missing GLIServer *****
+MissingGLIServer.Message:BrÄ«dinÄjums! JÅ«s nevarÄsiet strÄdÄt ar kolekcijÄm, izmantojot BibliotekÄra Interfeisu,
+MissingGLIServer.Title:IztrÅ«kst GLIServera Adrese  # Updated 4-Nov-2005
 #***** Missing GSDL *****
 MissingGSDL.Message:BrÄ«dinÄjums! JÅ«s nevarÄsiet izmantot visas BibliotekÄra Interfeisa iespÄjas bez instalÄtÄs Greenstone DigitÄlÄs BibliotÄkas lokÄlÄs kopijas. LÅ«dzu, pÄrbaudiet jÅ«su instalÄciju, un ceÄŒus BibliotekÄra Interfeisa pakeÅ¡datnÄ vai skripta datnÄ.
@@ -791,5 +796,4 @@
 NewCollectionPrompt.Collection_Name:Kolekcijas mape:
 #NewCollectionPrompt.Collection_Name_Tooltip:Short collection name, used internally (must be 8 characters or less)
-NewCollectionPrompt.Description_Error:Apraksta lauciÅam jÄbÅ«t aizpildÄ«tam. LÅ«dzu aizpildiet to.
 NewCollectionPrompt.Error:KÄŒÅ«da jaunajÄ kolekcijÄ.
 NewCollectionPrompt.Instructions:Lai radÄ«tu jaunu kolekciju, aizpildiet lauciÅus zemÄk.
@@ -856,4 +860,6 @@
 Preferences.Connection:Savienojums
 Preferences.Connection_Tooltip:UzstÄdiet URL uz greenstone bibliotÄku un nokonfigurÄjiet starpniekservera savienojumu, ja vajadzÄ«gs
+Preferences.Connection.GLIServer_URL:Greenstone gliserver URL:  # Updated 4-Nov-2005
+Preferences.Connection.GLIServer_URL_Tooltip:Greenstone "gliserver" CGI skripta URL  # Updated 4-Nov-2005
 Preferences.Connection.Library_Path:BibliotÄkas CeÄŒÅ¡:
 Preferences.Connection.Library_Path_GS3:Greenstone Web CeÄŒÅ¡:
@@ -911,4 +917,12 @@
 PreviewCommandDialog.Instructions:Ievadiet komandu, programmas palaiÅ¡anai, lai skatÄ«tu kolekcijas priekÅ¡skatÄ«jumu. Atcerieties izmantot %1, kÄ kolekcijas adreses vietturi, un dubultpÄdiÅas kur nepiecieÅ¡ams.
 PreviewCommandDialog.Title:PriekÅ¡skatÄ«juma Komanda
+#**********************
+#
+#***** Remote Greenstone Server *****
+RemoteGreenstoneServer.Authentication_Message:LÅ«dzu ievadiet jÅ«su Greenstone lietotÄjvÄrdu un paroli:  # Updated 4-Nov-2005
+RemoteGreenstoneServer.Error:AtgadÄ«jÄs kÄŒÅ«da uz attÄlÄ Greenstone servera veicot Å¡o operÄciju:\n{0-Error message}   # Updated 4-Nov-2005
+RemoteGreenstoneServer.Error_Title:AttÄlÄ Greenstone Servera KÄŒÅ«da  # Updated 4-Nov-2005
+RemoteGreenstoneServer.Progress:AttÄlÄ Greenstone Servera Progress:  # Updated 4-Nov-2005
+RemoteGreenstoneServer.Steal_Lock_Message:Kolekciju patreiz lieto lietotÄjs '{0-User name}'.\nVai jÅ«s vÄlaties pÄrtvert
 #**********************
 #