Index: trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 10726)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 11031)
@@ -43,4 +43,5 @@
 import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.collection.CollectionContentsChangedListener;
+import org.greenstone.gatherer.gui.DesignPaneHeader;
 import org.greenstone.gatherer.gui.GComboBox;
 import org.greenstone.gatherer.gui.GLIButton;
@@ -54,4 +55,5 @@
 import org.w3c.dom.*;
 import org.xml.sax.*;
+
 
 /** This class is for maintaining a list of known plug-ins, and importing new plugins using the parser. */
@@ -664,10 +666,6 @@
 	/** Button for configuring the selected plugin. */
 	private JButton configure = null;
-	/** Buttom to move an assinged plugin as low in the order as possible. */
-	//private JButton move_bottom_button = null;
 	/** Button to move an assigned plugin one position lower in the order. */
 	private JButton move_down_button = null;
-	/** Button to move an assigned plugin as high in the order as possible. */
-	//private JButton move_top_button = null;
 	/** Button to move an assigned plugin one position higher in the order. */
 	private JButton move_up_button = null;
@@ -680,6 +678,4 @@
 	/** The label above the assigned plugin list. */
 	private JLabel plugin_list_label = null;
-	/** The title of this view. */
-	private JLabel title = null;
 	/** A list of assigned plugins. */
 	private JList plugin_list = null;
@@ -688,6 +684,4 @@
 	/** The region which divides the central portion of the view into list and controls */
 	private JPanel central_pane = null;
-	/** The area where title label and instructions sit. */
-	private JPanel header_pane = null;
 	/** The area where movement buttons are placed. */
 	private JPanel movement_pane = null;
@@ -696,6 +690,4 @@
 	/** The pane containing the assigned plugin list and its label. */
 	private JPanel plugin_list_pane = null;
-	/** The text area containing instructions on the use of this control. */
-	private JTextArea instructions = null;
 
 	/** Constructor.
@@ -715,14 +707,5 @@
 	    Dictionary.registerBoth(configure, "CDM.PlugInManager.Configure", "CDM.PlugInManager.Configure_Tooltip");
 
-	    header_pane = new JPanel();
-
-	    instructions = new JTextArea();
-	    instructions.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
-	    instructions.setEditable(false);
-	    instructions.setLineWrap(true);
-	    instructions.setRows(6);
-	    instructions.setWrapStyleWord(true);
-	    Dictionary.registerText(instructions, "CDM.PlugInManager.Instructions");
-
+	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Plugins", "plugins");
 	    move_up_button = new JButton("", JarTools.getImage("arrow-up.gif"));
 	    move_up_button.setEnabled(false);
@@ -753,5 +736,5 @@
 	    plugin_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 	    plugin_list_label = new JLabel();
-	    plugin_list_label.setHorizontalAlignment(JLabel.CENTER);
+	    //plugin_list_label.setHorizontalAlignment(JLabel.CENTER);
 	    plugin_list_label.setOpaque(true);
 	    Dictionary.registerText(plugin_list_label, "CDM.PlugInManager.Assigned");
@@ -765,17 +748,10 @@
 	    Dictionary.registerBoth(remove, "CDM.PlugInManager.Remove", "CDM.PlugInManager.Remove_Tooltip");
 
-	    title = new JLabel();
-	    title.setHorizontalAlignment(JLabel.CENTER);
-	    title.setOpaque(true);
-	    Dictionary.registerText(title, "CDM.PlugInManager.Title");
-
 	    // Listeners
 	    add.addActionListener(new AddListener()); //all_change_listener is listening to the ArgumentConfiguration
 	    configure.addActionListener(new ConfigureListener());
 	    MoveListener ml = new MoveListener();
-	    //move_bottom_button.addActionListener(ml);
 	    move_down_button.addActionListener(ml);
 	    move_down_button.addActionListener(CollectionDesignManager.all_change_listener);
-	    //move_top_button.addActionListener(ml);
 	    move_up_button.addActionListener(ml);
 	    move_up_button.addActionListener(CollectionDesignManager.all_change_listener);
@@ -788,12 +764,4 @@
 
 	    // Layout
-	    title.setBorder(BorderFactory.createEmptyBorder(0,0,2,0));
-
-	    instructions.setBorder(BorderFactory.createEmptyBorder(2,5,2,5));
-
-	    header_pane.setLayout(new BorderLayout());
-	    header_pane.add(title, BorderLayout.NORTH);
-	    header_pane.add(new JScrollPane(instructions), BorderLayout.CENTER);
-
 	    plugin_list_label.setBorder(BorderFactory.createEmptyBorder(0,2,0,2));
 
@@ -850,9 +818,7 @@
 
 	/** This method is overridden to ensure the instructions are scrolled to top, before the super classes updateUI() is called.
+	    no longer have instructions, do we still need updateUI???
 	 */
 	public void gainFocus() {
-	    if(instructions != null) {
-		instructions.setCaretPosition(0);
-	    }
 	    super.updateUI();
 	}