Index: trunk/gli/classes/dictionary.properties
===================================================================
--- trunk/gli/classes/dictionary.properties	(revision 10969)
+++ trunk/gli/classes/dictionary.properties	(revision 11034)
@@ -88,8 +88,6 @@
 CDM.ClassifierManager.Configure_Tooltip:Change the options of the selected classifier
 CDM.ClassifierManager.Controls:Editing Controls
-CDM.ClassifierManager.Instructions:Use this view to add, configure or remove classifiers in your collection. To add a classifier, choose it from the combobox and click 'Add Classifier'.\nTo remove a classifier, choose it from the list of assigned classifiers and click 'Remove Classifier'.\nTo configure a classifier, choose it from the list of assigned classifiers, and click 'Configure Classifier'.\n\nWhen you configure a classifier a scrollable list of its arguments will appear. Enable arguments and enter or select values as necessary.
 CDM.ClassifierManager.Remove:Remove Classifier
 CDM.ClassifierManager.Remove_Tooltip:Remove the selected classifier from the list
-CDM.ClassifierManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Classifier Selection & Configuration</CENTER></FONT></STRONG></HTML>
 CDM.ClassifierManager.Parsing.Message:Design tool is loading classifier information.
 CDM.ClassifierManager.Parsing.Title:Loading Classifiers
@@ -105,5 +103,4 @@
 CDM.FormatManager.Insert:Insert
 CDM.FormatManager.Insert_Tooltip:Insert the selected variable into the format command
-CDM.FormatManager.Instructions:The web pages you see when using Greenstone are not pre-stored but are generated 'on the fly' as they are needed. Format commands are used to change the appearance of these generated pages. Some are switches that control the display of documents or parts of documents; others are more complex and require html code as an argument.\nTo add a format command, choose it from the 'feature' list. If a True/False option panel appears, select the state by clicking on the appropriate button. If a panel containing the 'Affected Feature' and 'Edit Format Strings' controls appears, you need to enter html text. You can include preset variables by selecting them from the list.\nOnce you are statisfied with your changes, press 'Add Format' to add it to the configuration file.\nRemove a format command by selecting it from the 'Assigned Format Commands' and clicking 'Remove Format'.
 CDM.FormatManager.Part:Affected Component
 CDM.FormatManager.Part_Tooltip:The aspect of the selected feature to format
@@ -112,5 +109,4 @@
 CDM.FormatManager.Replace:Replace Format
 CDM.FormatManager.Replace_Tooltip:Update the selected format command
-CDM.FormatManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Format Commands</CENTER></FONT></STRONG></HTML>
 CDM.FormatManager.Variable:Variables
 CDM.FormatManager.Variable_Tooltip:Variables available for use with the format command
@@ -132,6 +128,4 @@
 CDM.General.Image_Copy_Failed:An error has occurred which prevents the image you selected being copied.\nPlease try copying the image to the images folder of your collection manually.
 CDM.General.Image_Filter:Images (gifs, jpgs and pngs)
-CDM.General.Instructions:The design section of the Librarian Interface allows you to control many aspects of your collection's appearance. The design is split up into several sections. This section contains general options and settings. To choose a different section, click on its name in the list to the left.
-CDM.General.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>General Options</CENTER></FONT></STRONG></HTML>
 CDM.GUI.Classifiers:Browsing Classifiers
 CDM.GUI.Design_Topics:Design Sections
@@ -146,4 +140,6 @@
 CDM.GUI.SuperCollection:Cross-Collection Search
 CDM.GUI.Translation:Translate Text
+CDM.HelpButton:Help for this screen
+CDM.HelpButton_Tooltip:Open up the GLI help for this screen
 CDM.IndexManager.Add_Index:Add Index
 CDM.IndexManager.Add_Index_Tooltip:Build the specified index for this collection
@@ -155,5 +151,4 @@
 CDM.IndexManager.Index_Name_Tooltip:A unique name for the new index
 CDM.IndexManager.Indexes:Assigned Indexes
-CDM.IndexManager.Instructions:Here you choose what searchable indexes the collection will have.\nTo add a new index, select what material is to be indexed, choose the level of the index, and click 'Add Index'.\nTo remove an index, select it from the assigned indexes list and click 'Remove Index'.\nTo set the default index, select it from the assigned indexes list and click 'Set Default'.
 CDM.IndexManager.Level:At the level:
 CDM.IndexManager.Level_Exists:That level has already been assigned for this collection.
@@ -168,5 +163,4 @@
 CDM.IndexManager.MGPP.Index_Tooltip:Metadata element to build index on
 CDM.IndexManager.MGPP.Indexes:Manage Indexes
-CDM.IndexManager.MGPP.Instructions:Here you choose what searchable indexes the collection will have.\nTo add a new index, enter a unique name for the index, select material/metadata is to be indexed, and click 'Add Index'.\nIf you wish to add all of the available sources so as to have indexes built on them, then click 'Add All' (the name for each index will default to be the name of the source). Note that this is subtly different from adding the 'AllFields' source, as the ordering of the indexes is important.\nIf you wish to edit a particular index, select it from the currently assigned indexes list, edit as necessary, and then click 'Replace Index', to replace the old version.\nTo remove an index, select it from the currently assigned indexes list and click 'Remove Index'.
 CDM.IndexManager.MGPP.Level:Level Source:
 CDM.IndexManager.MGPP.Level_Name:Level Name:
@@ -177,5 +171,4 @@
 CDM.IndexManager.MGPP.Replace_Index:Replace Index
 CDM.IndexManager.MGPP.Replace_Index_Tooltip:Update the selected index
-CDM.IndexManager.MGPP.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Index And Level Selection</CENTER></FONT></STRONG></HTML>
 CDM.IndexManager.Paragraph:paragraph
 CDM.IndexManager.Remove_Index:Remove Index
@@ -186,5 +179,4 @@
 CDM.IndexManager.Source:Build index on:
 CDM.IndexManager.Source_Tooltip:The metadata elements to build the index on
-CDM.IndexManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Index Selection</CENTER></FONT></STRONG></HTML>
 CDM.LanguageManager.Add:Add Language
 CDM.LanguageManager.Add_Tooltip:Add the specified language to the list
@@ -204,9 +196,7 @@
 CDM.MetadataSetManager.Edit_Tooltip:Edit the selected metadata set.
 CDM.MetadataSetManager.Elements:Elements in selected Metadata Set
-CDM.MetadataSetManager.Instructions:In this design view you can add, configure and remove the Metadata Sets in your collection and what Elements they contain.
 CDM.MetadataSetManager.Remove:Remove Metadata Set
 CDM.MetadataSetManager.Remove_Tooltip:Remove the selected metadata set from the collection.
 CDM.MetadataSetManager.Sets:Available Metadata Sets
-CDM.MetadataSetManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Metadata Sets</CENTER></FONT></STRONG></HTML>
 CDM.Move.At_Bottom:Cannot move the {0} {1} lower as it is already at the bottom of the list.
 CDM.Move.At_Top:Cannot move the {0} {1} higher as it is already at the top of the list.
@@ -226,5 +216,4 @@
 CDM.PlugInManager.Ignore:Don't Add Plugin
 CDM.PlugInManager.Ignore_Tooltip:Don't add any plugins to this collection.
-CDM.PlugInManager.Instructions:Use this view to add, configure or remove plugins from your collection. To add one choose it from the combobox and click 'Add Plugin'.\nTo configure or remove one, select it from the list of assigned plugins then:\ni)   Change its position in the plugin order by clicking on the arrow buttons. (Note: The position of RecPlug and ArcPlug are fixed).\nii)  Configure it by clicking 'Configure Plugin',\niii) Remove it by clicking 'Remove Plugin'.\n\nPlugins are configured using a pop-up design area with a scrollable list of arguments. Enable arguments and enter or select values as necessary.
 CDM.PlugInManager.PlugIn:Select plugin to add:
 CDM.PlugInManager.PlugIn_Tooltip:The plugins available for use in the collection
@@ -236,5 +225,4 @@
 CDM.PlugInManager.Remove_Tooltip:Remove the selected plugin from the list
 CDM.PluginManager.SuggestedPluginListTitle:Suggested plugins for file
-CDM.PlugInManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Plugin Selection & Configuration</CENTER></FONT></STRONG></HTML>
 CDM.PlugInManager.Parsing.Message:Design tool is loading plugin information.
 CDM.PlugInManager.Parsing.Title:Loading Plugins
@@ -245,5 +233,4 @@
 CDM.SearchTypeManager.BuildType_Selection_Tooltip:Select the indexer to be used for this collection.
 CDM.SearchTypeManager.Enable:Enable Advanced Searches
-CDM.SearchTypeManager.Instructions:Defining the search type is an advanced feature only available when enabled (by checking the 'Enable Advanced Searches' box). Once enabled further controls for selecting and changing the order of search types become available. Select a search type from the combobox and 'Add Search Type', if enabled, to add the search type. Select an existing search type from the list, and use 'Move Up' and 'Move Down' to change the order, or 'Remove Search Type' to remove it.\n\nThe search types specify what kind of search interface should be provided: form, for fields searching, and/or plain for regular searching. The ordering is important as the first one will be used for the initial search page by default.\n\nIt is also important to note that enabling search types causes the appearance of the Indexes view to change as well. Fielded searching is a newer feature of Greenstone, and thus requires different index information. When search types is enabled all current indexes are modified to be valid indexes under the new schema, while disabling search types will cause GLI to do its best to convert new indexes back into the old style but it may not always be successful, in which case the indexes will be removed. In either case a copy of the original index command line will be available as a comment in the configuration file. 
 CDM.SearchTypeManager.Remove:Remove Search Type
 CDM.SearchTypeManager.Remove_Tooltip:Do not allow the selected type of searching with this collection
@@ -251,5 +238,4 @@
 CDM.SearchTypeManager.SearchType_Selection:Search Types:
 CDM.SearchTypeManager.SearchType_Selection_Tooltip:The search types available for use with this collection
-CDM.SearchTypeManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Search Type Selection & Ordering</CENTER></FONT></STRONG></HTML>
 CDM.SubcollectionManager.Add:Add Filter
 CDM.SubcollectionManager.Add_Tooltip:Add the specified filter to the collection
@@ -260,5 +246,4 @@
 CDM.SubcollectionManager.Include:Include
 CDM.SubcollectionManager.Inclusive:What do we do with files that match?
-CDM.SubcollectionManager.Instructions:Use this panel to refine index creation.\ni)  Define subcollection filters, which screen the collection documents based on the specified metadata values. Once defined, you can then generate partitions on any previously specified index, based on one or more of these filters.\nii) Generate index partitions based on language. This filters the collection documents so that only those in the chosen language are included.\nNote that the total number of partitions generated is a combination of all indexes, subcollection filters and languages chosen. Two indexes with two subcollection filters in two languages would yield eight index partitions.
 CDM.SubcollectionManager.Language_Controls:Assign Languages
 CDM.SubcollectionManager.Match:Regular expression to match with: 
@@ -275,5 +260,4 @@
 CDM.SubcollectionManager.Subcollection_Controls:Define Filters
 CDM.SubcollectionManager.Subindex_Controls:Assign Partitions
-CDM.SubcollectionManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Partition Indexes</CENTER></FONT></STRONG></HTML>
 CDM.SubcollectionIndexManager.Add_Subindex:Add Partition
 CDM.SubcollectionIndexManager.Add_Subindex_Tooltip:Add the specified partition to this collection
@@ -290,6 +274,4 @@
 CDM.SubcollectionIndexManager.Source_Tooltip:The subcollection filters to build the partition on
 CDM.SubcollectionIndexManager.Subindexes:Assigned Subcollection Partitions
-CDM.SuperCollectionManager.Instructions:Cross-collection searching is where a single search is performed over several collections, as if all the collections were one. Specify the collections to include in a search by clicking on the appropriate collection's name in the list below. The current collection will automatically be included. \nWARNING: If the individual collections do not have the same indexes (including subcollection partitions and language partitions) as each other, cross-collection searching will not work properly. The user will only be able to search using indexes common to all collections.
-CDM.SuperCollectionManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Cross-Collection Search Configuration</CENTER></FONT></STRONG></HTML>
 CDM.TranslationManager.Add:Add Translation
 CDM.TranslationManager.Add_Tooltip:Add the specified translation to the collection
@@ -298,5 +280,4 @@
 CDM.TranslationManager.Default_Text:Initial Text Fragment
 CDM.TranslationManager.Fragment_Column:Text Fragment
-CDM.TranslationManager.Instructions:Use this view to review and assign translations of text fragments in your collection. First, select an entry from the list of features (e.g. collection level metadata and classifier names). Next, select and edit a text fragment, or select a language from the combobox in order to add a new fragment. Type the text into the white text area, referring to the initial text fragment as necessary. Any changes will appear immediately in the collection.
 CDM.TranslationManager.Language:Language of translation:
 CDM.TranslationManager.Language_Column:Language
@@ -306,5 +287,4 @@
 CDM.TranslationManager.Replace:Replace Translation
 CDM.TranslationManager.Replace_Tooltip:Update the selected translation
-CDM.TranslationManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Text Translation</CENTER></FONT></STRONG></HTML>
 CDM.TranslationManager.Translation:Translated Text
 CDM.TranslationManager.Translation_Tooltip:Enter the translation of the string here