Index: /trunk/gli/help/en/help_index.xml
===================================================================
--- /trunk/gli/help/en/help_index.xml	(revision 11041)
+++ /trunk/gli/help/en/help_index.xml	(revision 11042)
@@ -1,2 +1,2 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Document><Section name="introduction"><Title>Introduction</Title><Section name="ofmiceandmenus"><Title>Of Mice and Menus</Title></Section><Section name="howtoavoidthisdocument"><Title>How to Avoid Reading This Document</Title></Section></Section><Section name="startingoff"><Title>Starting Off</Title><Section name="creatingacollection"><Title>Creating a New Collection</Title></Section><Section name="savingacollection"><Title>Saving the Collection</Title></Section><Section name="openingacollection"><Title>Opening an Existing Collection</Title></Section><Section name="deletingcollections"><Title>Deleting Collections</Title></Section></Section><Section name="downloadingfiles"><Title>Downloading Files From the Internet</Title><Section name="themirrorview"><Title>The Download view</Title></Section></Section><Section name="collectingfiles"><Title>Collecting Files for Your Collection</Title><Section name="thegatherview"><Title>The Gather View</Title></Section><Section name="creatingfolders"><Title>Creating Folders</Title></Section><Section name="addingfiles"><Title>Adding Files</Title></Section><Section name="removingfiles"><Title>Removing Files</Title></Section><Section name="filteringthetree"><Title>Filtering the Tree</Title></Section></Section><Section name="enrichingacollection"><Title>Enriching the Collection with Metadata</Title><Section name="theenrichview"><Title>The Enrich View</Title></Section><Section name="selectingmetadatasets"><Title>Selecting Metadata Sets</Title></Section><Section name="appendingmetadata"><Title>Appending New Metadata</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>Adding Previously Defined Metadata</Title></Section><Section name="updatingmetadata"><Title>Updating Metadata</Title></Section><Section name="removingmetadata"><Title>Removing Metadata</Title></Section><Section name="reviewingmetadata"><Title>Reviewing Assigned Metadata</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importing Previously Assigned Metadata</Title></Section></Section><Section name="designingacollection"><Title>Designing Your Collection's Appearance</Title><Section name="thedesignview"><Title>The Design View</Title></Section><Section name="generalsettings"><Title>General Settings</Title></Section><Section name="plugins"><Title>Document Plugins</Title></Section><Section name="searchtypes"><Title>Search Types</Title></Section><Section name="searchindexes"><Title>Search Indexes</Title></Section><Section name="partitionindexes"><Title>Partition Indexes</Title><Section name="definefilters"><Title>Define Filters</Title></Section><Section name="assignpartitions"><Title>Assign Partitions</Title></Section><Section name="assignlanguages"><Title>Assign Languages</Title></Section></Section><Section name="xcollectionsearching"><Title>Cross-Collection Searching</Title></Section><Section name="classifiers"><Title>Classifiers</Title></Section><Section name="formatstatements"><Title>Format Features</Title></Section><Section name="translatetext"><Title>Translate Text</Title></Section><Section name="metadatasets"><Title>Metadata Sets</Title></Section></Section><Section name="producingthecollection"><Title>Producing Your Collection</Title><Section name="thecreateview"><Title>The Create View</Title></Section><Section name="buildsettings"><Title>Import and Build Settings</Title></Section></Section><Section name="miscellaneous"><Title>Miscellaneous</Title><Section name="preferences"><Title>Preferences</Title></Section><Section name="fileassociations"><Title>File Associations</Title></Section><Section name="exportingcollections"><Title>Exporting Collections to CD-ROM</Title></Section></Section></Document>
+<Document><Section name="introduction"><Title>Introduction</Title><Section name="ofmiceandmenus"><Title>Of Mice and Menus</Title></Section><Section name="howtoavoidthisdocument"><Title>How to Avoid Reading This Document</Title></Section></Section><Section name="startingoff"><Title>Starting Off</Title><Section name="creatingacollection"><Title>Creating a New Collection</Title></Section><Section name="savingacollection"><Title>Saving the Collection</Title></Section><Section name="openingacollection"><Title>Opening an Existing Collection</Title></Section><Section name="deletingcollections"><Title>Deleting Collections</Title></Section></Section><Section name="downloadingfiles"><Title>Downloading Files From the Internet</Title><Section name="themirrorview"><Title>The Download view</Title></Section></Section><Section name="collectingfiles"><Title>Collecting Files for Your Collection</Title><Section name="thegatherview"><Title>The Gather View</Title></Section><Section name="creatingfolders"><Title>Creating Folders</Title></Section><Section name="addingfiles"><Title>Adding Files</Title></Section><Section name="removingfiles"><Title>Removing Files</Title></Section><Section name="filteringthetree"><Title>Filtering the Tree</Title></Section></Section><Section name="enrichingacollection"><Title>Enriching the Collection with Metadata</Title><Section name="theenrichview"><Title>The Enrich View</Title></Section><Section name="selectingmetadatasets"><Title>Selecting Metadata Sets</Title></Section><Section name="appendingmetadata"><Title>Appending New Metadata</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>Adding Previously Defined Metadata</Title></Section><Section name="updatingmetadata"><Title>Editing or Removing Metadata</Title></Section><Section name="reviewingmetadata"><Title>Reviewing Assigned Metadata</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importing Previously Assigned Metadata</Title></Section></Section><Section name="designingacollection"><Title>Designing Your Collection's Appearance</Title><Section name="thedesignview"><Title>The Design View</Title></Section><Section name="generalsettings"><Title>General</Title></Section><Section name="plugins"><Title>Document Plugins</Title></Section><Section name="searchtypes"><Title>Search Types</Title></Section><Section name="searchindexes"><Title>Search Indexes</Title></Section><Section name="partitionindexes"><Title>Partition Indexes</Title><Section name="definefilters"><Title>Define Filters</Title></Section><Section name="assignpartitions"><Title>Assign Partitions</Title></Section><Section name="assignlanguages"><Title>Assign Languages</Title></Section></Section><Section name="xcollectionsearching"><Title>Cross-Collection Search</Title></Section><Section name="classifiers"><Title>Browsing Classifiers</Title></Section><Section name="formatstatements"><Title>Format Features</Title></Section><Section name="translatetext"><Title>Translate Text</Title></Section><Section name="metadatasets"><Title>Metadata Sets</Title></Section></Section><Section name="producingthecollection"><Title>Producing Your Collection</Title><Section name="thecreateview"><Title>The Create View</Title></Section><Section name="buildsettings"><Title>Import and Build Settings</Title></Section></Section><Section name="miscellaneous"><Title>Miscellaneous</Title><Section name="preferences"><Title>Preferences</Title></Section><Section name="fileassociations"><Title>File Associations</Title></Section><Section name="exportingcollections"><Title>Exporting Collections to CD/DVD</Title></Section></Section></Document>
Index: /trunk/gli/help/es/help_index.xml
===================================================================
--- /trunk/gli/help/es/help_index.xml	(revision 11041)
+++ /trunk/gli/help/es/help_index.xml	(revision 11042)
@@ -1,2 +1,2 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Document><Section name="introduction"><Title>IntroducciÃ³n</Title><Section name="ofmiceandmenus"><Title>De menÃºs y ratones</Title></Section><Section name="howtoavoidthisdocument"><Title>Temas de ayuda</Title></Section></Section><Section name="startingoff"><Title>Para empezar</Title><Section name="creatingacollection"><Title>Creando una nueva colecciÃ³n</Title></Section><Section name="savingacollection"><Title>Guardar la colecciÃ³n</Title></Section><Section name="openingacollection"><Title>Abriendo una colecciÃ³n existente</Title></Section><Section name="deletingcollections"><Title>Borrando colecciones</Title></Section></Section><Section name="downloadingfiles"><Title>Descargando archivos de Internet</Title><Section name="themirrorview"><Title>La vista en Bajar</Title></Section></Section><Section name="collectingfiles"><Title>Reuniendo archivos para su colecciÃ³n</Title><Section name="thegatherview"><Title>La pantalla de selecciÃ³n de documentos</Title></Section><Section name="creatingfolders"><Title>Creando carpetas</Title></Section><Section name="addingfiles"><Title>AÃ±adiendo archivos</Title></Section><Section name="removingfiles"><Title>Eliminando archivos</Title></Section><Section name="filteringthetree"><Title>Filtrando la estructura de directorios y subdirectorios</Title></Section></Section><Section name="enrichingacollection"><Title>Enriqueciendo la colecciÃ³n con metadatos</Title><Section name="theenrichview"><Title>La pantalla de asignaciÃ³n de metadatos</Title></Section><Section name="selectingmetadatasets"><Title>Seleccionando conjuntos de metadatos</Title></Section><Section name="appendingmetadata"><Title>Agregando nuevos metadatos</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>AÃ±adiendo Metadatos Previamente Definidos</Title></Section><Section name="updatingmetadata"><Title>Actualizando metadatos</Title></Section><Section name="removingmetadata"><Title>Eliminando metadatos</Title></Section><Section name="reviewingmetadata"><Title>Revisando los metadatos asignados</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importando metadatos previamente asignados</Title></Section></Section><Section name="designingacollection"><Title>DiseÃ±ando la apariencia de su colecciÃ³n</Title><Section name="thedesignview"><Title>La pantalla de diseÃ±o</Title></Section><Section name="generalsettings"><Title>Ajustes generales</Title></Section><Section name="plugins"><Title>Plugins</Title></Section><Section name="searchtypes"><Title>Tipos de bÃºsqueda</Title></Section><Section name="searchindexes"><Title>Ãndices de bÃºsqueda</Title></Section><Section name="partitionindexes"><Title>Particiones</Title><Section name="definefilters"><Title>Definir filtros</Title></Section><Section name="assignpartitions"><Title>Asignar particiones</Title></Section><Section name="assignlanguages"><Title>Asignar idiomas</Title></Section></Section><Section name="xcollectionsearching"><Title>BÃºsqueda cruzada a travÃ©s de varias colecciones</Title></Section><Section name="classifiers"><Title>Clasificadores</Title></Section><Section name="formatstatements"><Title>Formatos</Title></Section><Section name="translatetext"><Title>TraducciÃ³n de textos</Title></Section><Section name="metadatasets"><Title>Conjuntos de metadatos</Title></Section></Section><Section name="producingthecollection"><Title> Produciendo una colecciÃ³n </Title><Section name="thecreateview"><Title>La pantalla de creaciÃ³n de la colecciÃ³n</Title></Section><Section name="buildsettings"><Title>Controles de importaciÃ³n y construcciÃ³n</Title></Section></Section><Section name="miscellaneous"><Title>MiscelÃ¡nea</Title><Section name="preferences"><Title>Preferencias</Title></Section><Section name="fileassociations"><Title>AsociaciÃ³n de archivos</Title></Section><Section name="exportingcollections"><Title>Exportando colecciones a un CD-ROM</Title></Section></Section></Document>
+<Document><Section name="introduction"><Title>IntroducciÃ³n</Title><Section name="ofmiceandmenus"><Title>De menÃºs y ratones</Title></Section><Section name="howtoavoidthisdocument"><Title>Temas de ayuda</Title></Section></Section><Section name="startingoff"><Title>Para empezar</Title><Section name="creatingacollection"><Title>Creando una nueva colecciÃ³n</Title></Section><Section name="savingacollection"><Title>Guardar la colecciÃ³n</Title></Section><Section name="openingacollection"><Title>Abriendo una colecciÃ³n existente</Title></Section><Section name="deletingcollections"><Title>Borrando colecciones</Title></Section></Section><Section name="downloadingfiles"><Title>Descargando archivos de Internet</Title><Section name="themirrorview"><Title>La vista en Bajar</Title></Section></Section><Section name="collectingfiles"><Title>Reuniendo archivos para su colecciÃ³n</Title><Section name="thegatherview"><Title>La pantalla de selecciÃ³n de documentos</Title></Section><Section name="creatingfolders"><Title>Creando carpetas</Title></Section><Section name="addingfiles"><Title>AÃ±adiendo archivos</Title></Section><Section name="removingfiles"><Title>Eliminando archivos</Title></Section><Section name="filteringthetree"><Title>Filtrando la estructura de directorios y subdirectorios</Title></Section></Section><Section name="enrichingacollection"><Title>Enriqueciendo la colecciÃ³n con metadatos</Title><Section name="theenrichview"><Title>La pantalla de asignaciÃ³n de metadatos</Title></Section><Section name="selectingmetadatasets"><Title>Seleccionando conjuntos de metadatos</Title></Section><Section name="appendingmetadata"><Title>Agregando nuevos metadatos</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>AÃ±adiendo Metadatos Previamente Definidos</Title></Section><Section name="updatingmetadata"><Title>Actualizando metadatos </Title></Section><Section name="reviewingmetadata"><Title>Revisando los metadatos asignados</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importando metadatos previamente asignados</Title></Section></Section><Section name="designingacollection"><Title>DiseÃ±ando la apariencia de su colecciÃ³n</Title><Section name="thedesignview"><Title>La pantalla de diseÃ±o</Title></Section><Section name="generalsettings"><Title>General</Title></Section><Section name="plugins"><Title>Plugins</Title></Section><Section name="searchtypes"><Title>Tipos de bÃºsqueda</Title></Section><Section name="searchindexes"><Title>Ãndices de bÃºsqueda</Title></Section><Section name="partitionindexes"><Title>Particiones</Title><Section name="definefilters"><Title>Definir filtros</Title></Section><Section name="assignpartitions"><Title>Asignar particiones</Title></Section><Section name="assignlanguages"><Title>Asignar idiomas</Title></Section></Section><Section name="xcollectionsearching"><Title>BÃºsqueda cruzada a travÃ©s de varias colecciones</Title></Section><Section name="classifiers"><Title>Clasificadores de exploraciÃ³n</Title></Section><Section name="formatstatements"><Title>Formatos</Title></Section><Section name="translatetext"><Title>TraducciÃ³n de textos</Title></Section><Section name="metadatasets"><Title>Conjuntos de metadatos</Title></Section></Section><Section name="producingthecollection"><Title> Produciendo una colecciÃ³n </Title><Section name="thecreateview"><Title>La pantalla de creaciÃ³n de la colecciÃ³n</Title></Section><Section name="buildsettings"><Title>Controles de importaciÃ³n y construcciÃ³n</Title></Section></Section><Section name="miscellaneous"><Title>MiscelÃ¡nea</Title><Section name="preferences"><Title>Preferencias</Title></Section><Section name="fileassociations"><Title>AsociaciÃ³n de archivos</Title></Section><Section name="exportingcollections"><Title>Exportando colecciones a un CD/DVD</Title></Section></Section></Document>
Index: /trunk/gli/help/fr/help_index.xml
===================================================================
--- /trunk/gli/help/fr/help_index.xml	(revision 11041)
+++ /trunk/gli/help/fr/help_index.xml	(revision 11042)
@@ -1,2 +1,2 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Document><Section name="introduction"><Title>Introduction</Title><Section name="ofmiceandmenus"><Title>Dessouris et Menus</Title></Section><Section name="howtoavoidthisdocument"><Title>Comment Ã©viter de lire ce document</Title></Section></Section><Section name="startingoff"><Title>DÃ©marrage</Title><Section name="creatingacollection"><Title>CrÃ©er une nouvelle collection</Title></Section><Section name="savingacollection"><Title>Enregistrer la Collection</Title></Section><Section name="openingacollection"><Title>Ouvrir une collection existante</Title></Section><Section name="deletingcollections"><Title>Suppression des collections</Title></Section></Section><Section name="downloadingfiles"><Title>TÃ©lÃ©chargement de fichiers de lIinternet</Title><Section name="themirrorview"><Title>La vue TÃ©lÃ©chargement</Title></Section></Section><Section name="collectingfiles"><Title>Collecter les fichiers pour la Collection</Title><Section name="thegatherview"><Title>L'affichage Rassembler</Title></Section><Section name="creatingfolders"><Title>CrÃ©er des dossiers</Title></Section><Section name="addingfiles"><Title>Ajouter des fichiers</Title></Section><Section name="removingfiles"><Title>Supprimer des Fichiers</Title></Section><Section name="filteringthetree"><Title>Filtrer l'arborescence</Title></Section></Section><Section name="enrichingacollection"><Title>Enrichir la Collection avec des mÃ©ta-donnÃ©es</Title><Section name="theenrichview"><Title>L'affichage Enrichir</Title></Section><Section name="selectingmetadatasets"><Title>SÃ©lectionner les jeux de mÃ©ta-donnÃ©es</Title></Section><Section name="appendingmetadata"><Title>Ajout de Nouvelles MÃ©ta-donnÃ©es</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>Ajouter des MÃ©ta-donnÃ©es prÃ©dÃ©finies</Title></Section><Section name="updatingmetadata"><Title>Mettre Ã  jour des MÃ©ta-donnÃ©es</Title></Section><Section name="removingmetadata"><Title>Enlever les mÃ©ta-donnÃ©es</Title></Section><Section name="reviewingmetadata"><Title>Passer en revue les MÃ©ta-donnÃ©es assignÃ©es</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importer des MÃ©ta-donnÃ©es PrÃ©-assignÃ©es</Title></Section></Section><Section name="designingacollection"><Title>DÃ©coration de l'apparence de votre collection</Title><Section name="thedesignview"><Title>L'Affichage conception</Title></Section><Section name="generalsettings"><Title>RÃ©glages gÃ©nÃ©raux</Title></Section><Section name="plugins"><Title>Plugiciels de Document</Title></Section><Section name="searchtypes"><Title>Types de recherche</Title></Section><Section name="searchindexes"><Title>Index de recherche</Title></Section><Section name="partitionindexes"><Title>Index de Partition</Title><Section name="definefilters"><Title>DÃ©finir les Filtres</Title></Section><Section name="assignpartitions"><Title>Assigner des Partitions</Title></Section><Section name="assignlanguages"><Title>Assigner Langages</Title></Section></Section><Section name="xcollectionsearching"><Title>Recherche unique Ã  travers plusieurs collections</Title></Section><Section name="classifiers"><Title>Classificateurs</Title></Section><Section name="formatstatements"><Title>CaractÃ©ristiques de Format</Title></Section><Section name="translatetext"><Title>Traduire Texte</Title></Section><Section name="metadatasets"><Title>jeux de MÃ©ta-donnÃ©es</Title></Section></Section><Section name="producingthecollection"><Title>Pour produire votre collection</Title><Section name="thecreateview"><Title>L'Affichage CrÃ©er</Title></Section><Section name="buildsettings"><Title>ParamÃštres d'Importation et de Construction</Title></Section></Section><Section name="miscellaneous"><Title>Miscellaneous</Title><Section name="preferences"><Title>PrÃ©fÃ©rences</Title></Section><Section name="fileassociations"><Title>Associations de fichiers</Title></Section><Section name="exportingcollections"><Title>Exportation de collections vers CD-ROM</Title></Section></Section></Document>
+<Document><Section name="introduction"><Title>Introduction</Title><Section name="ofmiceandmenus"><Title>Dessouris et Menus</Title></Section><Section name="howtoavoidthisdocument"><Title>Comment Ã©viter de lire ce document</Title></Section></Section><Section name="startingoff"><Title>DÃ©marrage</Title><Section name="creatingacollection"><Title>CrÃ©er une nouvelle collection</Title></Section><Section name="savingacollection"><Title>Enregistrer la Collection</Title></Section><Section name="openingacollection"><Title>Ouvrir une collection existante</Title></Section><Section name="deletingcollections"><Title>Suppression des collections</Title></Section></Section><Section name="downloadingfiles"><Title>TÃ©lÃ©chargement de fichiers de lIinternet</Title><Section name="themirrorview"><Title>La vue TÃ©lÃ©chargement</Title></Section></Section><Section name="collectingfiles"><Title>Collecter les fichiers pour la Collection</Title><Section name="thegatherview"><Title>L'affichage Rassembler</Title></Section><Section name="creatingfolders"><Title>CrÃ©er des dossiers</Title></Section><Section name="addingfiles"><Title>Ajouter des fichiers</Title></Section><Section name="removingfiles"><Title>Supprimer des Fichiers</Title></Section><Section name="filteringthetree"><Title>Filtrer l'arborescence</Title></Section></Section><Section name="enrichingacollection"><Title>Enrichir la Collection avec des mÃ©ta-donnÃ©es</Title><Section name="theenrichview"><Title>L'affichage Enrichir</Title></Section><Section name="selectingmetadatasets"><Title>SÃ©lectionner les jeux de mÃ©ta-donnÃ©es</Title></Section><Section name="appendingmetadata"><Title>Ajout de Nouvelles MÃ©ta-donnÃ©es</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>Ajouter des MÃ©ta-donnÃ©es prÃ©dÃ©finies</Title></Section><Section name="updatingmetadata"><Title>Mettre Ã  jour des MÃ©ta-donnÃ©es </Title></Section><Section name="reviewingmetadata"><Title>Passer en revue les MÃ©ta-donnÃ©es assignÃ©es</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importer des MÃ©ta-donnÃ©es PrÃ©-assignÃ©es</Title></Section></Section><Section name="designingacollection"><Title>DÃ©coration de l'apparence de votre collection</Title><Section name="thedesignview"><Title>L'Affichage conception</Title></Section><Section name="generalsettings"><Title>GÃ©nÃ©ral</Title></Section><Section name="plugins"><Title>Plugiciels de Document</Title></Section><Section name="searchtypes"><Title>Types de recherche</Title></Section><Section name="searchindexes"><Title>Index de recherche</Title></Section><Section name="partitionindexes"><Title>Index de Partition</Title><Section name="definefilters"><Title>DÃ©finir les Filtres</Title></Section><Section name="assignpartitions"><Title>Assigner des Partitions</Title></Section><Section name="assignlanguages"><Title>Assigner Langages</Title></Section></Section><Section name="xcollectionsearching"><Title>Recherches Ã  travers collections</Title></Section><Section name="classifiers"><Title>Classificateurs de navigation</Title></Section><Section name="formatstatements"><Title>CaractÃ©ristiques de Format</Title></Section><Section name="translatetext"><Title>Traduire Texte</Title></Section><Section name="metadatasets"><Title>jeux de MÃ©ta-donnÃ©es</Title></Section></Section><Section name="producingthecollection"><Title>Pour produire votre collection</Title><Section name="thecreateview"><Title>L'Affichage CrÃ©er</Title></Section><Section name="buildsettings"><Title>ParamÃštres d'Importation et de Construction</Title></Section></Section><Section name="miscellaneous"><Title>Miscellaneous</Title><Section name="preferences"><Title>PrÃ©fÃ©rences</Title></Section><Section name="fileassociations"><Title>Associations de fichiers</Title></Section><Section name="exportingcollections"><Title>Exportation de collections vers CD/DVD</Title></Section></Section></Document>
Index: /trunk/gli/help/ru/help_index.xml
===================================================================
--- /trunk/gli/help/ru/help_index.xml	(revision 11041)
+++ /trunk/gli/help/ru/help_index.xml	(revision 11042)
@@ -6,11 +6,10 @@
  ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
 </Title></Section><Section name="updatingmetadata"><Title>ÐÐ±ÐœÐŸÐ²Ð»ÐµÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-</Title></Section><Section name="removingmetadata"><Title>Ð£ÐŽÐ°Ð»ÐµÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-</Title></Section><Section name="reviewingmetadata"><Title>ÐÑÐŸÑÐŒÐŸÑÑ Ð·Ð°ÐŽÐ°ÐœÐœÑÑ
+ </Title></Section><Section name="reviewingmetadata"><Title>ÐÑÐŸÑÐŒÐŸÑÑ Ð·Ð°ÐŽÐ°ÐœÐœÑÑ
  ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
 </Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>ÐÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ Ð¿ÑÐµÐŽÐ²Ð°ÑÐžÑÐµÐ»ÑÐœÐŸ Ð·Ð°ÐŽÐ°ÐœÐœÑÑ
  ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-</Title></Section></Section><Section name="designingacollection"><Title>ÐÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thedesignview"><Title>ÐÐžÐŽ ÐŽÐžÐ·Ð°Ð¹ÐœÐ°</Title></Section><Section name="generalsettings"><Title>ÐÐ±ÑÐžÐµ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž</Title></Section><Section name="plugins"><Title>ÐÐ»Ð°Ð³ÐžÐœÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°</Title></Section><Section name="searchtypes"><Title>ÐÐžÐŽÑ Ð¿ÐŸÐžÑÐºÐ°</Title></Section><Section name="searchindexes"><Title>ÐÐœÐŽÐµÐºÑÑ Ð¿ÐŸÐžÑÐºÐ°</Title></Section><Section name="partitionindexes"><Title>ÐÐœÐŽÐµÐºÑÑ ÑÐ°Ð·Ð±ÐžÐµÐœÐžÑ</Title><Section name="definefilters"><Title>ÐÐ¿ÑÐµÐŽÐµÐ»ÐžÑÑ ÑÐžÐ»ÑÑÑÑ</Title></Section><Section name="assignpartitions"><Title>ÐÐ°Ð·ÐœÐ°ÑÐµÐœÐžÐµ ÑÐ°Ð·ÐŽÐµÐ»ÐµÐœÐžÑ</Title></Section><Section name="assignlanguages"><Title>ÐÐ°ÐŽÐ°ÐœÐœÑÐµ ÑÐ·ÑÐºÐž</Title></Section></Section><Section name="xcollectionsearching"><Title>Ð¡ÐŸÐ²ÐŒÐµÑÑÐœÑÐ¹ Ð¿ÐŸÐžÑÐº Ð² ÐœÐµÑÐºÐŸÐ»ÑÐºÐžÑ
- ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÑ
-</Title></Section><Section name="classifiers"><Title>ÐÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÑ</Title></Section><Section name="formatstatements"><Title>ÐÑÐŸÐ±ÐµÐœÐœÐŸÑÑÐž ÑÐŸÑÐŒÐ°ÑÐ°</Title></Section><Section name="translatetext"><Title>ÐÐµÑÐµÐ²ÐŸÐŽ ÑÐµÐºÑÑÐ°</Title></Section><Section name="metadatasets"><Title>Ð£ÑÑÐ°ÐœÐŸÐ²ÐºÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-</Title></Section></Section><Section name="producingthecollection"><Title>ÐÐŸÑÑÑÐŸÐµÐœÐžÐµ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thecreateview"><Title>Ð¡ÐŸÐ·ÐŽÐ°ÐœÐžÐµ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÑ</Title></Section><Section name="buildsettings"><Title>ÐÐŒÐ¿ÐŸÑÑ Ðž ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ</Title></Section></Section><Section name="miscellaneous"><Title>Ð Ð°Ð·ÐœÐŸÐµ</Title><Section name="preferences"><Title>ÐÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÑ</Title></Section><Section name="fileassociations"><Title>ÐÑÑÐŸÑÐžÐ°ÑÐžÐž ÑÐ°Ð¹Ð»Ð°</Title></Section><Section name="exportingcollections"><Title>Ð­ÐºÑÐ¿ÐŸÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ° CD-ROM</Title></Section></Section></Document>
+</Title></Section></Section><Section name="designingacollection"><Title>ÐÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thedesignview"><Title>ÐÐžÐŽ ÐŽÐžÐ·Ð°Ð¹ÐœÐ°</Title></Section><Section name="generalsettings"><Title>ÐÐ±ÑÐµÐµ</Title></Section><Section name="plugins"><Title>ÐÐ»Ð°Ð³ÐžÐœÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°</Title></Section><Section name="searchtypes"><Title>ÐÐžÐŽÑ Ð¿ÐŸÐžÑÐºÐ°</Title></Section><Section name="searchindexes"><Title>ÐÐœÐŽÐµÐºÑÑ Ð¿ÐŸÐžÑÐºÐ°</Title></Section><Section name="partitionindexes"><Title>ÐÐœÐŽÐµÐºÑÑ ÑÐ°Ð·Ð±ÐžÐµÐœÐžÑ</Title><Section name="definefilters"><Title>ÐÐ¿ÑÐµÐŽÐµÐ»ÐžÑÑ ÑÐžÐ»ÑÑÑÑ</Title></Section><Section name="assignpartitions"><Title>ÐÐ°Ð·ÐœÐ°ÑÐµÐœÐžÐµ ÑÐ°Ð·ÐŽÐµÐ»ÐµÐœÐžÑ</Title></Section><Section name="assignlanguages"><Title>ÐÐ°ÐŽÐ°ÐœÐœÑÐµ ÑÐ·ÑÐºÐž</Title></Section></Section><Section name="xcollectionsearching"><Title>ÐÐŸÐžÑÐº Ð² Ð¿ÐµÑÐµÑÐµÐºÐ°ÑÑÐžÑ
+ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÑ
+</Title></Section><Section name="classifiers"><Title>ÐÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÑ Ð¿ÑÐŸÑÐŒÐŸÑÑÐ°</Title></Section><Section name="formatstatements"><Title>ÐÑÐŸÐ±ÐµÐœÐœÐŸÑÑÐž ÑÐŸÑÐŒÐ°ÑÐ°</Title></Section><Section name="translatetext"><Title>ÐÐµÑÐµÐ²ÐŸÐŽ ÑÐµÐºÑÑÐ°</Title></Section><Section name="metadatasets"><Title>Ð£ÑÑÐ°ÐœÐŸÐ²ÐºÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section></Section><Section name="producingthecollection"><Title>ÐÐŸÑÑÑÐŸÐµÐœÐžÐµ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thecreateview"><Title>Ð¡ÐŸÐ·ÐŽÐ°ÐœÐžÐµ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÑ</Title></Section><Section name="buildsettings"><Title>ÐÐŒÐ¿ÐŸÑÑ Ðž ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ</Title></Section></Section><Section name="miscellaneous"><Title>Ð Ð°Ð·ÐœÐŸÐµ</Title><Section name="preferences"><Title>ÐÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÑ</Title></Section><Section name="fileassociations"><Title>ÐÑÑÐŸÑÐžÐ°ÑÐžÐž ÑÐ°Ð¹Ð»Ð°</Title></Section><Section name="exportingcollections"><Title>Ð­ÐºÑÐ¿ÐŸÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ° CD/DVD</Title></Section></Section></Document>