Index: trunk/gli/help/es/importingpreviouslyassignedmetadata.htm
===================================================================
--- trunk/gli/help/es/importingpreviouslyassignedmetadata.htm	(revision 9644)
+++ trunk/gli/help/es/importingpreviouslyassignedmetadata.htm	(revision 11067)
@@ -7,43 +7,16 @@
 <table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
 <tr>
-<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="importingpreviouslyassignedmetadata"><font size="5" face="Verdana"><strong>5.8: Importando metadatos previamente asignados</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="importingpreviouslyassignedmetadata"><font size="5" face="Verdana"><strong>5.7: Importando metadatos previamente asignados</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
 </tr>
 </table>
       
       Esta secci&oacute;n describe c&oacute;mo importar metadtos previamente asignados, es decir, metadatos asignados a los documentos antes de que fuesen a&ntilde;adidos a la colecci&oacute;n.
-      <p></p>
-<table bgcolor="#B0D0B0" width="480" cellpadding="2" border="2" align="center">
-<tr>
-<td align="center"><font size="4" face="Verdana"><strong>
-              Contents
-            </strong></font></td>
-</tr>
-<tr>
-<td>
-<table width="100%" cellpadding="2" border="0" bgcolor="#FFFFFF">
-        
-<tr>
-<td colspan="3"><a href="#simple">Instrucciones b&aacute;sicas:</a></td>
-</tr>
-	  
-<tr>
-<td colspan="1"> </td><td colspan="2">Mientras se a&ntilde;aden archivos</td>
-</tr>
-        
       
-</table>
-</td>
-</tr>
-</table>
-<p></p>
       
-<p></p>
-<img width="20" src="../gatherer_small.gif" height="20"><a name="simple"> Instrucciones b&aacute;sicas:</a>
-<p style="text-align:justify"></p>
       Si se han asignado previamente metadatos en una forma reconocible por la Interfaz de Bibliotecario, por ejemplo, cuando se seleccionan documentos de una colecci&oacute;n Greenstone existente, entonces &eacute;stos se importar&aacute;n autom&aacute;ticamente cuando usted a&ntilde;ada el archivo. Para poder hacer esto los metadatos deben mapearse hacia el conjunto de metadatos disponible en la colecci&oacute;n.
       <p></p>
       La Interfaz de Bibliotecario enviar&aacute; un mensaje solicitando la informaci&oacute;n necesaria. El mensaje incluir&aacute; breves instrucciones y a continuaci&oacute;n mostrar&aacute; el nombre del elemento de metadato que se est&aacute; importando, tal como aparece en el archivo fuente. Este campo no se podr&aacute; editar o cambiar. A continuaci&oacute;n elija el conjunto de metadatos hacia el que el nuevo elemento deber&aacute; mapearse y el correspondiente elemento de metadato en ese conjunto. El sistema selecciona autom&aacute;ticamente la correspondencia m&aacute;s cercana en t&eacute;rminos de conjunto y elemento para el nuevo metadato.
       <p></p>
-      Despu&eacute;s de revisar el mapeo, usted puede elegir "A&ntilde;adir" para a&ntilde;adir el nuevo elemento de metadato al conjunto de metadatos que se haya seleccionado. (Esto s&oacute;lo es posible si no hay un elemento del mismo nombre dentro del conjunto seleccionado.) "Reemplazar" mapea el nuevo elemento hacia el que el usuario haya elegido. Finalmente, "Ignorar" no importa ning&uacute;n metadato con este nombre de elemento. Una vez que usted haya especificado la forma de importar una parte del metadato, la informaci&oacute;n del proceso se conserva durante todo el tiempo de vida de la colecci&oacute;n.
+      Despu&eacute;s de revisar el mapeo, usted puede elegir "A&ntilde;adir" para a&ntilde;adir el nuevo elemento de metadato al conjunto de metadatos que se haya seleccionado. (Esto s&oacute;lo es posible si no hay un elemento del mismo nombre dentro del conjunto seleccionado.) "Combinar" mapea el nuevo elemento hacia el que el usuario haya elegido. Finalmente, "Ignorar" no importa ning&uacute;n metadato con este nombre de elemento. Una vez que usted haya especificado la forma de importar una parte del metadato, la informaci&oacute;n del proceso se conserva durante todo el tiempo de vida de la colecci&oacute;n.
       <p></p>
       Para mayor informaci&oacute;n sobre los archivos metadata.xml que Greenstone utiliza para guardar metadatos, vea el Cap&iacute;tulo 2 de la Gu&iacute;a del Programador de Greenstone: Obteniendo el m&aacute;ximo beneficio de sus documentos.