Index: /trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 11079)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 11080)
@@ -473,5 +473,5 @@
 			try {
 			    File collection_image_file = new File(images_folder, file.getName());
-			    Gatherer.f_man.getQueue().copyFile(file, collection_image_file, false, null);
+			    Gatherer.f_man.getQueue().copyFile(file, collection_image_file, false);
 
 			    // If we're using a remote Greenstone server, upload the image
Index: /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 11079)
+++ /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 11080)
@@ -290,5 +290,5 @@
 		
 		// copy the contents over
-		Gatherer.f_man.getQueue().copyDirectoryContents(base_coll_images, new_coll_images, null);
+		Gatherer.f_man.getQueue().copyDirectoryContents(base_coll_images, new_coll_images);
 	    }
 	}
@@ -305,5 +305,5 @@
 		
 		// copy the contents over
-		Gatherer.f_man.getQueue().copyDirectoryContents(base_coll_macros, new_coll_macros, null);
+		Gatherer.f_man.getQueue().copyDirectoryContents(base_coll_macros, new_coll_macros);
 	    } 
 	}
@@ -742,5 +742,5 @@
 	if (!metadata_set_file.exists()) {
 	    try {
-		Gatherer.f_man.getQueue().copyFile(external_metadata_set_file, metadata_set_file, false, null);
+		Gatherer.f_man.getQueue().copyFile(external_metadata_set_file, metadata_set_file, false);
 
 		// If we're using a remote Greenstone server, upload the metadata file
Index: /trunk/gli/src/org/greenstone/gatherer/collection/LegacyCollectionImporter.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/collection/LegacyCollectionImporter.java	(revision 11079)
+++ /trunk/gli/src/org/greenstone/gatherer/collection/LegacyCollectionImporter.java	(revision 11080)
@@ -53,5 +53,5 @@
 	    try {
 		backup_dir.mkdirs();
-		Gatherer.f_man.getQueue().copyFile(metadata_xml_file_file, new_metadata_xml_file_file, false, null);
+		Gatherer.f_man.getQueue().copyFile(metadata_xml_file_file, new_metadata_xml_file_file, false);
 		if (!new_metadata_xml_file_file.exists()) {
 		    throw new Exception("");
Index: /trunk/gli/src/org/greenstone/gatherer/file/FileQueue.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/file/FileQueue.java	(revision 11079)
+++ /trunk/gli/src/org/greenstone/gatherer/file/FileQueue.java	(revision 11080)
@@ -336,5 +336,6 @@
 				    // copy the file. If anything goes wrong the copy file should throw the appropriate exception. No matter what exception is thrown (bar an IOException) we display some message, perhaps take some action, then cancel the remainder of the pending file jobs. No point in being told your out of hard drive space for each one of six thousand files eh?
 				    try {
-					copyFile(source_file, target_file, false, progress);
+					copyFile(source_file, target_file, false);
+					progress.addValue(source_file.length());
 				    }
 				    // If we can't find the source file, then the most likely reason is that the file system has changed since the last time it was mapped. Warn the user that the requested file can't be found, then force a refresh of the source folder involved.
@@ -583,5 +584,5 @@
      * @see org.greenstone.gatherer.Gatherer
      */
-    public void copyDirectoryContents(File source, File destination, GProgressBar progress) 
+    public void copyDirectoryContents(File source, File destination) 
 	throws FileAlreadyExistsException, FileNotFoundException, InsufficientSpaceException, IOException, ReadNotPermittedException, UnknownFileErrorException, WriteNotPermittedException
     {
@@ -597,11 +598,11 @@
 	    File new_file = new File(destination, f_name);
 	    if (f.isDirectory()) {
-		copyDirectoryContents(f, new_file, progress);
+		copyDirectoryContents(f, new_file);
 	    } else if (f.isFile()) {
-		copyFile(f, new_file, false, progress);
+		copyFile(f, new_file, false);
 	    }
 	}
-	
-    }
+    }
+
     
     /** Copy a file from the source location to the destination location.
@@ -610,5 +611,5 @@
      * @see org.greenstone.gatherer.Gatherer
      */
-    public void copyFile(File source, File destination, boolean overwrite, GProgressBar progress)
+    public void copyFile(File source, File destination, boolean overwrite)
 	throws FileAlreadyExistsException, FileNotFoundException, InsufficientSpaceException, IOException, ReadNotPermittedException, UnknownFileErrorException, WriteNotPermittedException
     {
@@ -674,7 +675,4 @@
 		}
 	    }
-	    if (progress != null) {
-		progress.addValue(data_size);
-	    }
 	}
 